package io.gmss.fiscad.interfaces.rfu.metier;

import io.gmss.fiscad.entities.rfu.metier.EnqueteBatiment;
import io.gmss.fiscad.exceptions.BadRequestException;
import io.gmss.fiscad.exceptions.NotFoundException;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Optional;

public interface EnqueteBatimentService {

    EnqueteBatiment createEnqueteBatiment(EnqueteBatiment enqueteBatiment) throws BadRequestException;

    EnqueteBatiment updateEnqueteBatiment(Long id, EnqueteBatiment enqueteBatiment) throws NotFoundException;

    void deleteEnqueteBatiment(Long id) throws NotFoundException;

    Page<EnqueteBatiment> getEnqueteBatimentList(Pageable pageable);

    List<EnqueteBatiment> getEnqueteBatimentList();

    Optional<EnqueteBatiment> getEnqueteBatimentById(Long id);
}
